WordPress.org

Ready to get started?Download WordPress

Forums

WordPress Newbie needs advice PLEASE (9 posts)

  1. AlTaylor
    Member
    Posted 2 years ago #

    Greetings all,

    I am the webmaster of our church website. The website was created a few years ago. It was not created by me alone but by a very talented professional web developer and me. At the time I knew very little about HTML, PHP or WordPress. My background is that of a Novell\Windows network engineer on LANS. I have since become well versed in HTML and I consider myself somewhat proficient with PHP and WordPress. So I will try to explain the WordPress and WordPress plugin problems I am having as best I can.

    The first errors I received after upgrading WordPress to 3.3.1

    Warning: Parameter 1 to ec3_filter_posts_where() expected to be a reference, value given in /nfs/c01/h08/mnt/6507/domains/truevinecleveland.org/html/news/wp-includes/plugin.php on line 227

    Warning: Parameter 1 to ec3_filter_posts_join() expected to be a reference, value given in /nfs/c01/h08/mnt/6507/domains/truevinecleveland.org/html/news/wp-includes/plugin.php on line 227

    Warning: Parameter 1 to ec3_filter_posts_groupby() expected to be a reference, value given in /nfs/c01/h08/mnt/6507/domains/truevinecleveland.org/html/news/wp-includes/plugin.php on line 227

    Warning: Parameter 1 to ec3_filter_posts_orderby() expected to be a reference, value given in /nfs/c01/h08/mnt/6507/domains/truevinecleveland.org/html/news/wp-includes/plugin.php on line 227

    Warning: Parameter 1 to ec3_filter_posts_fields() expected to be a reference, value given in /nfs/c01/h08/mnt/6507/domains/truevinecleveland.org/html/news/wp-includes/plugin.php on line 227

    After receiving these errors I started a thread on this forum. You can view this thread here <a href="http://wordpress.org/support/topic/new-to-wordpress-63?replies=5
    ">http://wordpress.org/support/topic/new-to-wordpress-63?replies=5
    I followed the advice\instructions in the thread. I am now receiving the following error from the Event Calendar Plugin after I upgraded WordPress to version 3.3.1;

    Fatal error: Call to undefined function ec3_get_calendar() in /nfs/c01/h08/mnt/6507/domains/truevinecleveland.org/html/news/wp-content/themes/truevine news/sidebar.php on line 16

    I believe I am on the right track when I sat that my next move is to install\engage PHP version 5.3.8 then upgrade the Event Calendar.

    Any suggestions or advice is welcome.

    Al Taylor

  2. esmi
    Forum Moderator
    Posted 2 years ago #

    Have you tried:

    - deactivating all plugins to see if this resolves the problem. If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    - switching to the Twenty Eleven theme to rule out any theme-specific problems.

    - resetting the plugins folder by FTP or PhpMyAdmin. Sometimes, an apparently inactive plugin can still cause problems.

    - re-uploading the wp-admin and wp-includes folders from a fresh download of WordPress.

  3. AlTaylor
    Member
    Posted 2 years ago #

    Thank you esmi, you are the one that helped me with my original thread, and yes I have those things. Maybe I have done something incorrectly, but I will try again and follow your suggestions TO THE LETTER. Thank you very much, I can see from the forums that you are very active.

    Thank you again.

  4. sdgcom
    Member
    Posted 2 years ago #

    Greetings! I have the same problem... any luck with this? I my case the ISP changed php version from 5.2.17 to 5.3.8 then it stopped working.

    Thanks-

  5. govpatel
    Member
    Posted 2 years ago #

    upgrading php should not cause any problem
    http://wordpress.org/about/requirements/

  6. sdgcom
    Member
    Posted 2 years ago #

    Thanks for your comment GovPatel.... At least for me, I've found these two plugins to be problematic.

    Event Calendar and Event Calendar Widget

    The error "...includes/plugin.php on line 227" is related to Event Calendar.

    I haven't had a chace to look on thier site yet for a resolution, which might be the next step.

  7. govpatel
    Member
    Posted 2 years ago #

    May be the plugins have not been updated

  8. sdgcom
    Member
    Posted 2 years ago #

    That was my thought too. There's currently not an update being offered,.. at least in the Plug-ins interface. Perehaps one is underway! We might need to wait for an update from the developer.

  9. sdgcom
    Member
    Posted 2 years ago #

    ...in the meantime I've turned the two plugins off.

Topic Closed

This topic has been closed to new replies.

About this Topic